<?php

namespace ShopManagerPro\Products\Fields\DTO;

enum FieldOperator: string {
	case EQUALS = 'equals';
	case GREATER_THAN = 'greater_than';
	case LESS_THAN = 'less_than';
	case GREATER_OR_EQUAL = 'greater_or_equal';
	case LESS_OR_EQUAL = 'less_or_equal';
	case CONTAINS = 'contains';
	case STARTS_WITH = 'starts_with';
	case ENDS_WITH = 'ends_with';
	case IS_EMPTY = 'is_empty';
	case IN = 'in';
}
